POST api/campaigntemplate/updatecampaign/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
CampaignTemplateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| Width | integer |
None. |
|
| Items | Collection of CampaignTemplateItemDto |
None. |
|
| HasFooter | boolean |
None. |
|
| HasTestimonials | boolean |
None. |
|
| Price | CampaignPriceDto |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| IsDeleted | boolean |
None. |
|
| Campaigns | Collection of EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "a1fe6741-2a1b-4b63-924c-d44a61f29dcb",
"name": "sample string 1",
"width": 2,
"items": [
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-07-10T06:08:45.1941428+02:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
},
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-07-10T06:08:45.1941428+02:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
}
],
"hasFooter": true,
"hasTestimonials": true,
"price": {
"amount": 1.0,
"currency": "sample string 2"
},
"products": [
"56861df7-147d-4e1e-9a60-9bfef1397133",
"834cd62c-ba6e-4de6-9a31-d05bd1938d66"
],
"created": "2026-07-10T06:08:45.1941428+02:00",
"updated": "2026-07-10T06:08:45.1941428+02:00",
"isDeleted": true,
"campaigns": [
{
"id": "be22ad88-7a5d-4ed8-acb6-c5fbb8490c7c",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "be22ad88-7a5d-4ed8-acb6-c5fbb8490c7c",
"name": "sample string 2",
"type": "sample string 3"
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.